Проблемы с настройкой GLX (GLX под nvidia: "XFree86-DRI" missing)

nVidia, ATI, SIS, VIA и др.

Модератор: Модераторы разделов

Аватара пользователя
aLexx programmer
Сообщения: 985
Статус: Турук-Макто
ОС: Gentoo -> Ubuntu

Проблемы с настройкой GLX

Сообщение aLexx programmer »

Здравствйте, все, кто прочтёт это сообщение и в особенности те, кто на него ответит. ;)
Сама проблема вот в чём: GL-скринсейверы с первого раза запускаются, со второго выводят:
"XLib: extension "XFree86-DRI" missing on display 0.0". Если поменять какие-либо параметры запуска скринсейвера (из GNOME), то он снова ОДИН РАЗ запускается корректно, второй и последующие --- выводит сообщение о пропаже XFree86-DRI.
(Кстати, в логах видно, что XFree86-DRI загружен!)
Пробовал убирать Load dri из XF86Config --- не помогает.
Может кто-нибудь уже сталкивался со схожей проблемой и решил её?
Заранее благодарю за помощь.

У меня: ASPLinux 9.2 (Siberia)
GeForceFX5600
драйвер nvidia из дистрибутива
Если потребуются дополнительные сведения --- напишу.
Спасибо сказали:

Аватара пользователя
MaXim
Сообщения: 33

Re: Проблемы с настройкой GLX

Сообщение MaXim »

Вообще то загрузку модулей "dri" и "GLcore" из XF86Config убирать НУЖНО в любом случае. Оставить только "glx". Иначе проблем не оберёшся с совместимостью библиотек в приложениях использующих OpenGL.
Спасибо сказали:

Topper
Бывший модератор
Сообщения: 2086
Статус: Насильник бабушек-педофилок
ОС: Windows 10

Re: Проблемы с настройкой GLX

Сообщение Topper »

а заодно стоит обновить дрова, раз уж пошла такая пьянка.
Хрю.
Спасибо сказали:

Аватара пользователя
aLexx programmer
Сообщения: 985
Статус: Турук-Макто
ОС: Gentoo -> Ubuntu

Re: Проблемы с настройкой GLX

Сообщение aLexx programmer »

MaXim: Вообще то загрузку модулей "dri" и "GLcore" из XF86Config убирать НУЖНО в любом случае. Оставить только "glx". Иначе проблем не оберёшся с совместимостью библиотек в приложениях использующих OpenGL.

Вообще-то это я попробовал в первую очередь --- бесполезно. Но всё равно спасибо за совет.
Topper: а заодно стоит обновить дрова, раз уж пошла такая пьянка.

Зачем их обновлять, если это официальные дрова, собранные специально под мою версию ядра. Они же идут вместе с дистрибутивом!
Имеет ли смысл попробовать поставить более старые, но точно работающие дрова из дистрибутива, который раньше был у меня (тоже ASPLinux, но 9.0 Ural)?

Да, кстати, OpenGL-игра TuxRacer работает стабильно, только после 5-6 минут игры звук начинает та-а-а-ак глючить...... Но OpenGL-то ведь работает!
Спасибо сказали:

Аватара пользователя
Andy Hardy
Сообщения: 64

Re: Проблемы с настройкой GLX

Сообщение Andy Hardy »

Драйвера всё таки обновить не помешает. GF FX5600 довольно свежая карта. Старые драйвера ставить ни в коем случае. Видео может просто не определится. Было бы интересно знать как твоё железо под виндами ведёт. Битую память подозреваю ( проблемы с звуком ).
Матушка какая?
Динозавры ещё живы.
Спасибо сказали:

Topper
Бывший модератор
Сообщения: 2086
Статус: Насильник бабушек-педофилок
ОС: Windows 10

Re: Проблемы с настройкой GLX

Сообщение Topper »

(aLexx programmer @ Вторник, 15 Июня 2004, 19:24) писал(а):Зачем их обновлять, если это официальные дрова, собранные специально под мою версию ядра. Они же идут вместе с дистрибутивом!

Да, кстати, OpenGL-игра TuxRacer работает стабильно, только после 5-6 минут игры звук начинает та-а-а-ак глючить...... Но OpenGL-то ведь работает!

с виндой ХР тоже дрова под большинство видюшек идут... это так, намек. здесь параллели почти всегда верны.
промежду прочим, дрова, распространяющиеся в .run файле прямо при тебе соберут модуль ядровый. и именно специально под твою версию ядра. собранные под другое ядро дрова просто не заработают.
а у меня вот, например, с родными дровами от Мастера 2.2 работало все и без проблем. кроме кваки. то есть, тот же тукс рэйсер, Дум Легаси - все летает. запускаешь квак - серый подергивающийся экран. так что тут дело такое, сложнопредсказуемое...
Хрю.
Спасибо сказали:

Аватара пользователя
aLexx programmer
Сообщения: 985
Статус: Турук-Макто
ОС: Gentoo -> Ubuntu

Re: Проблемы с настройкой GLX

Сообщение aLexx programmer »

Andy Hardy: Драйвера всё таки обновить не помешает. GF FX5600 довольно свежая карта. Старые драйвера ставить ни в коем случае. Видео может просто не определится. Было бы интересно знать как твоё железо под виндами ведёт. Битую память подозреваю ( проблемы с звуком ).
Матушка какая?

В винде всё OK --- проверял.
Мать Gigabyte 8IPE1000 (не Pro).
Спасибо за совет --- попробую установить свежие дрова.
Кстати, раз нельзя загружать вместе , тогда почему в ASPLinux 9.0 всё грузилось и работало корректно?...
Спасибо сказали:

Topper
Бывший модератор
Сообщения: 2086
Статус: Насильник бабушек-педофилок
ОС: Windows 10

Re: Проблемы с настройкой GLX

Сообщение Topper »

на то он и АСП9, чтобы нелогично работать :D
а в нем у тебя opengl работал корректно? просто если установить дрова nv, то они будут работать нормально... и с родными дровами у меня, например, иксы даже не запускаются, если dri из конфига не убрать...
Хрю.
Спасибо сказали:

Аватара пользователя
aLexx programmer
Сообщения: 985
Статус: Турук-Макто
ОС: Gentoo -> Ubuntu

Re: Проблемы с настройкой GLX

Сообщение aLexx programmer »

OpenGL в ASPLinux9 работал корректно (с драйвером "nvidia", естественно).
Спасибо сказали:

Аватара пользователя
aLexx programmer
Сообщения: 985
Статус: Турук-Макто
ОС: Gentoo -> Ubuntu

Re: Проблемы с настройкой GLX

Сообщение aLexx programmer »

Установка последних драйверов помогла. Спасибо всем за советы.
Спасибо сказали: